"""create table for animes
Revision ID: 9a3c27d5ff4b
Revises: 0001
Create Date: 2023-05-25 16:32:10.868973

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '9a3c27d5ff4b'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'animes',
        sa.Column('id', sa.String(36), primary_key=True, server_default=sa.text("(uuid())")),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now(), nullable=False),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), nullable=False, onupdate=func.now()),
        sa.Index('ix_animes_name', 'name', unique=True)
    )


def downgrade():
    op.drop_table('animes')